Subject: (urth) "Forlesen" exhibition at The Renaissance Society, Chicago

From: Bryce Dwyer <dwyerbryce at gmail.com>
Date: Wed, 08 May 2013 04:20:47 +0000

An exhibition recently opened at The Renaissance Society on the campus of
the University of Chicago. The artist, William Pope L., took the title from
Wolfe's short story "Forlsesen" from *Gene Wolfe's Book of Days*.

The show is really great. At its center is an elaborate architectural
construction of molded mdf board. Visitors can go in and out of the
structure (he described it as something like a spaceship). At the entrance
to the space, reproductions of the first and last page of "Forlesen" frame
the exhibition. One wall of the construction is plastered with a mixture of
ketchup and wall spackle.

More info:
http://www.renaissancesociety.org/site/Exhibitions/Intro.William-PopeL-Forlesen.634.html
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.urth.net/pipermail/urth-urth.net/attachments/20130507/502de0fb/attachment.htm>